Travis build failed to find package lldb;3.1

Issue

My build used to work normally, but it broke out of nowhere with the error

$ echo y | sdkmanager "lldb;3.1"
Error: Failed to find package lldb;3.1

This is my Travis build configurations

language: android
jdk: oraclejdk8
dist: trusty

android:
  components:
    - tools
    - platform-tools
    - build-tools-$ANDROID_BUILD_TOOLS_VERSION
    - android-$ANDROID_API_LEVEL
    - android-$ANDROID_EMU_API_LEVEL
    - extra-google-google_play_services
    - extra-google-m2repository
    - extra-android-m2repository
    - sys-img-armeabi-v7a-android-$ANDROID_EMU_API_LEVEL
install:
  - echo y | sdkmanager 'ndk;21.0.6113669'
  - echo y | sdkmanager --channel3 --channel1 "cmake;3.10.2.4988404"
  - echo y | sdkmanager "lldb;3.1"
...
env:
  global:
    - ANDROID_API_LEVEL29
    - ANDROID_BUILD_TOOLS_VERSION30.0.0-rc2
    - ANDROID_EMU_API_LEVEL24

Solution

Yes, it used to work. Something happened that I don’t know, but they updated Travis build configuration in android/ndk-samples. They removed lldb line completely and now it’s working again https://github.com/android/ndk-samples/blob/master/.travis.yml

The new configuration should be

install:
  - echo y | sdkmanager 'ndk;21.1.6352462'
  - echo y | sdkmanager "cmake;3.10.2.4988404"

You can keep up with the linked file for further breaking changes!

Answered By – Ahmed Hegazy

Leave a Comment